Bug 1348254 - network: fix schema validation warnings
Summary: network: fix schema validation warnings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Bindings-API
Version: 4.18.15
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Bell Levin
QA Contact: Bell Levin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 15:09 UTC by Piotr Kliczewski
Modified: 2020-05-20 19:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 19:59:45 UTC
oVirt Team: Network
rule-engine: ovirt-4.4+


Attachments (Terms of Use)

Description Piotr Kliczewski 2016-06-20 15:09:07 UTC
This BZ is created to track yaml schema alignment with runtime.

Comment 1 Yaniv Lavi 2018-08-01 08:02:02 UTC
Closing old issues, please reopen if still needed.
In any case patches are welcome.

Comment 2 Piotr Kliczewski 2018-08-01 08:51:41 UTC
As far as I understand there is not a lot of work to make it happen. It was created it help devs.

Comment 3 Dominik Holler 2020-01-03 19:50:29 UTC
Michael, do you agree to change the QA Contact of this bug to a developer, because this bug is about something internal?

Comment 4 Michael Burman 2020-01-05 09:25:15 UTC
(In reply to Dominik Holler from comment #3)
> Michael, do you agree to change the QA Contact of this bug to a developer,
> because this bug is about something internal?

ack

Comment 5 RHV bug bot 2020-01-08 14:50:12 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No relevant external trackers attached]

For more info please contact: infra@ovirt.org

Comment 6 RHV bug bot 2020-01-08 15:20:35 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No relevant external trackers attached]

For more info please contact: infra@ovirt.org

Comment 7 Bell Levin 2020-01-20 08:00:51 UTC
Verified by enabling "api_strict_mode" in vdsm config, running the vdsm func tests, with no schema related warnings (in vdsm.log and supervdsm.log).
Tested with both legacy and ovs switch, on el8, with lib.

Comment 8 Sandro Bonazzola 2020-05-20 19:59:45 UTC
This bugzilla is included in oVirt 4.4.0 release, published on May 20th 2020.

Since the problem described in this bug report should be
resolved in oVirt 4.4.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.